cURL
curl "https://api.phrase.com/v2/projects/:project_id/jobs/:job_id/comments/:id?branch=my-feature-branch" \
-u USERNAME_OR_ACCESS_TOKENphrase job_comments show \
--project_id <project_id> \
--job_id <job_id> \
--id <id> \
--branch my-feature-branch \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/jobs/{job_id}/comments/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/jobs/{job_id}/comments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"message": "Some message...",
"job_id": "abcd1234cdef1234abcd1234cdef1234",
"user": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "joe.doe",
"name": "Joe Doe"
},
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}Job Comments
Get a single job comment
Get details on a single job comment.
GET
/
projects
/
{project_id}
/
jobs
/
{job_id}
/
comments
/
{id}
cURL
curl "https://api.phrase.com/v2/projects/:project_id/jobs/:job_id/comments/:id?branch=my-feature-branch" \
-u USERNAME_OR_ACCESS_TOKENphrase job_comments show \
--project_id <project_id> \
--job_id <job_id> \
--id <id> \
--branch my-feature-branch \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/jobs/{job_id}/comments/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/jobs/{job_id}/comments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"message": "Some message...",
"job_id": "abcd1234cdef1234abcd1234cdef1234",
"user": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "joe.doe",
"name": "Joe Doe"
},
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Query Parameters
Branch to use
Response
OK
Show child attributes
Show child attributes
Example:
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "johndoe",
"name": "John Doe",
"gravatar_uid": "205e460b479e2e5b48aec07710c08d50"
}
Show child attributes
Show child attributes
Was this page helpful?
⌘I